Modify the group settings
Modifies the data broker group settings to adjust the configuration of the group. Use this to manage settings that impact data synchronization and transfer operations.
HTTP method and endpoint
PUT /api/accounts/{accountId}/groups/{id}/settings
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
accountId |
string |
path |
True |
NetApp tenancy account ID |
id |
string |
path |
True |
Data Brokers Group ID |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
False |
Group Name |
scanner |
False |
||
transferrer |
False |
Example request
{
"name": "string"
}
Response
Status: 200, Default Response
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
True |
Group ID |
name |
string |
True |
Group Name |
dataBrokers |
array[dataBrokers] |
True |
|
configuration |
False |
Example response
{
"id": "string",
"name": "string",
"dataBrokers": [
{
"id": "string",
"type": "string",
"name": "string",
"status": "string",
"message": "string",
"fileLink": "string",
"latestVersion": "string",
"encryptionType": "string",
"groupId": "string",
"placement": {
"instanceId": "string",
"hostname": "string",
"privateIp": "string",
"publicIp": "string",
"region": "string",
"availabilityZone": "string",
"vpcId": "string",
"vpcCidrBlock": "string",
"subnetId": "string",
"subnetCidrBlock": "string",
"version": "string",
"awsAccountId": "string",
"vault": "string",
"node": "string",
"cpu": "string",
"processMaxMem": "string",
"osTotalMem": "string",
"release": "string",
"os": "string",
"distribution": "string",
"resourceGroupName": "string",
"zone": "string",
"serviceAccount": "string",
"gcpProjectId": "string",
"scanner": {
"processes": 0,
"concurrency": 0
},
"transferrer": {
"processes": 0,
"concurrency": 0
},
"platform": "string",
"cpus": 0,
"proxy": "string"
}
}
]
}
Definitions
See Definitions
scanner
| Name | Type | Required | Description |
|---|---|---|---|
concurrency |
number |
False |
Concurrency - Number of tasks running in parallel |
processesLimit |
number |
False |
Processes Limit - Number of concurrent processes |
transferrer
| Name | Type | Required | Description |
|---|---|---|---|
concurrency |
number |
False |
Concurrency - Number of tasks running in parallel |
processesLimit |
number |
False |
Processes Limit - Number of concurrent processes |
scanner
| Name | Type | Required | Description |
|---|---|---|---|
processes |
number |
True |
Transferrer processes number |
processesLimit |
number |
False |
Scanner processes limit number |
concurrency |
number |
True |
How many tasks in parallel each transferrer process handles |
transferrer
| Name | Type | Required | Description |
|---|---|---|---|
processes |
number |
True |
Transferrer processes number |
processesLimit |
number |
False |
Scanner processes limit number |
concurrency |
number |
True |
How many tasks in parallel each transferrer process handles |
placement
Data Broker placement information
| Name | Type | Required | Description |
|---|---|---|---|
instanceId |
string |
False |
Data Broker instance ID |
hostname |
string |
True |
Data Broker host name |
privateIp |
string |
False |
Data Broker private IP address |
publicIp |
string |
False |
Data Broker public ip IP address |
region |
string |
False |
Data Broker Region |
availabilityZone |
string |
False |
Data Broker Subnet Availability Zone |
vpcId |
string |
False |
Data Broker AWS VPC ID |
vpcCidrBlock |
string |
False |
Data Broker AWS VPC CIDR block |
subnetId |
string |
False |
Data Broker AWS Subnet ID |
subnetCidrBlock |
string |
False |
Data Broker AWS Subnet CIDR block |
version |
string |
True |
Data Broker version |
awsAccountId |
string |
False |
AWS account ID in which the data broker was created |
vault |
string |
False |
Vault version |
node |
string |
True |
Node version |
canUpdateNodeVersion |
boolean |
False |
Indicates if advanced node version is compatible with this distribution |
cpu |
string |
False |
Data Broker number of CPUs |
processMaxMem |
string |
True |
Data Broker Maximum Memory for process |
osTotalMem |
string |
True |
Data Broker Total memory |
release |
string |
True |
Data Broker image release |
os |
string |
True |
Data Broker OS |
distribution |
string |
False |
Data Broker distribution |
resourceGroupName |
string |
False |
Azure Data Broker resource group |
zone |
string |
False |
Azure Data Broker zone |
serviceAccount |
string |
False |
GCP Data Broker service account |
gcpProjectId |
string |
False |
GCP project ID |
scanner |
False |
||
transferrer |
False |
||
platform |
string |
True |
Data broker platform |
cpus |
number |
True |
Number of CPUs |
proxy |
string |
False |
Proxy string |
canUpdateProxy |
boolean |
False |
Allow to change proxy configuration |
dataBrokers
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
True |
Data Broker ID |
type |
string |
True |
Data Broker Type |
name |
string |
True |
Data Broker Name |
status |
string |
False |
'COMPLETE' for an online data broker or 'FAILED' otherwise. Only available after the data broker has contacted the service for the first time |
message |
string |
False |
The error message if the data broker has a 'FAILED' status |
fileLink |
string |
False |
The link to the Data Broker Cloud Formation template or installer |
transferRate |
number |
False |
The Data broker current transfer rate |
lastPing |
number |
False |
The last time the Data Broker services did contact this service (EPOCH TIME) |
port |
number |
False |
If this is a NetApp 'listener' Data Broker, this is the port that data broker listens on |
latestVersion |
string |
False |
Latest Data Broker version available |
encryptionType |
string |
False |
Data Broker Encryption type - in case it is part of nfs encrypted relationship |
groupId |
string |
False |
Data Broker Group Id |
placement |
False |
Data Broker placement information |
configuration
| Name | Type | Required | Description |
|---|---|---|---|
scanner |
False |
||
transferrer |
False |